# FoundationClasses
TKernel
TColStd

# TColStd_HPackedMapOfInteger Class Reference

Extension of TColStd_PackedMapOfInteger class to be manipulated by handle.
.

`#include <TColStd_HPackedMapOfInteger.hxx>`

Inheritance diagram for TColStd_HPackedMapOfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HPackedMapOfInteger (const Standard_Integer NbBuckets=1)
Standard_EXPORT | TColStd_HPackedMapOfInteger (const TColStd_PackedMapOfInteger &theOther)
const TColStd_PackedMapOfInteger & | Map () const
| Access to the map.
TColStd_PackedMapOfInteger & | ChangeMap ()
| Access to the map for modification.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_PackedMapOfInteger | myMap

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HPackedMapOfInteger::TColStd_HPackedMapOfInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

Standard_EXPORT TColStd_HPackedMapOfInteger::TColStd_HPackedMapOfInteger | ( | const TColStd_PackedMapOfInteger & | theOther | ) |

## Member Function Documentation

TColStd_PackedMapOfInteger & TColStd_HPackedMapOfInteger::ChangeMap | ( |  | ) | `[inline]`

Standard_EXPORT const TColStd_HPackedMapOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

const TColStd_PackedMapOfInteger & TColStd_HPackedMapOfInteger::Map | ( |  | ) | const`[inline]`

## Field Documentation

TColStd_PackedMapOfInteger TColStd_HPackedMapOfInteger::myMap `[private]`

The documentation for this class was generated from the following files:

- TColStd_HPackedMapOfInteger.hxx
- TColStd_HPackedMapOfInteger.lxx